 <?php

//error_reporting(E_ERROR  | E_PARSE);

session_start();

$_SESSION['database'] = $_POST["database"];

$_SESSION['suc_id'] = $_POST["suc_id"];

$_SESSION['est_id'] = $_POST["est_id"];

$_SESSION['id_pack'] = $_POST["id_pack"];

/*

$_SESSION['database'] = $_POST["database"];

$_SESSION['suc_id'] = $_POST["suc_id"];

$_SESSION['est_id'] = $_POST["est_id"];

$_SESSION['id_pack'] =$_POST["id_pack"];

 */

include 'conn.php';

include 'funciones.php';

//logs("xxxxxxxxxxxxxxxxxx");

$hoynow = getdate();

//echo print_r($hoynow);

//echo date_default_timezone_get();

$hora = str_pad($hoynow["hours"], 2, "0", STR_PAD_LEFT);

$minutos = str_pad($hoynow["minutes"], 2, "0", STR_PAD_LEFT);

$mes = str_pad($hoynow["mon"], 2, "0", STR_PAD_LEFT);

$dia = str_pad($hoynow["mday"], 2, "0", STR_PAD_LEFT);

$timeStamp = $hoynow["year"] . "-" . $mes . "-" . $dia . " " . $hora . ":" . $minutos . ":" . $hoynow["seconds"];
if ($_SESSION['est_id'] == "0") {
    $SQLupdate = "update " . $_SESSION['database'] . ".sucursales set suc_ult_con='" . $timeStamp . "',suc_pack_oper=" . $_SESSION['id_pack'] . "  where  suc_id='" . $_SESSION['suc_id'] . "' limit 1 ";
} else {
    $SQLupdate = "update " . $_SESSION['database'] . ".estaciones set e_ult_con='" . $timeStamp . "',e_pack_oper=" . $_SESSION['id_pack'] . "  where suc_id='" . $_SESSION['suc_id'] . "'  and e_id='" . $_SESSION['est_id'] . "' limit 1 ";
}

if ($connection->query($SQLupdate) === true) {
    //  echo "update op";
} else {
    echo "Error: " . $SQLupdate . "<br>" . $conn->error;
}

$montoesql1 = "select  * from  " . $_SESSION['database'] . "_tmp_pack.operacion_pack   where  id_pack='" . $_SESSION['id_pack'] . "'   ";

$qur1 = $connection->query($montoesql1);

$i = 0;

//  $jsonData[] ='';

while ($r1 = mysqli_fetch_assoc($qur1)) {

    $jsonTempData = array();
    $jsonTempData['op_id'] = utf8_encode($r1['op_id']);
    $jsonTempData['op_fecha'] = utf8_encode($r1['op_fecha']);
    $jsonTempData['op_fechav'] = utf8_encode($r1['op_fechav']);
    $jsonTempData['op_id_cliente'] = utf8_encode($r1['op_id_cliente']);
    $jsonTempData['op_tipo'] = utf8_encode($r1['op_tipo']);
    $jsonTempData['op_num_corre'] = utf8_encode($r1['op_num_corre']);
    $jsonTempData['op_subtotal'] = utf8_encode($r1['op_subtotal']);
    $jsonTempData['op_itbms'] = utf8_encode($r1['op_itbms']);
    $jsonTempData['op_total'] = utf8_encode($r1['op_total']);
    $jsonTempData['u_id'] = utf8_encode($r1['u_id']);
    $jsonTempData['op_estacion'] = utf8_encode($r1['op_estacion']);
    $jsonTempData['op_manejo'] = utf8_encode($r1['op_manejo']);
    $jsonTempData['op_flete'] = utf8_encode($r1['op_flete']);
    $jsonTempData['op_seguro'] = utf8_encode($r1['op_seguro']);
    $jsonTempData['op_controldoc'] = utf8_encode($r1['op_controldoc']);
    $jsonTempData['op_observ'] = utf8_encode($r1['op_observ']);
    $jsonTempData['op_desc'] = utf8_encode($r1['op_desc']);
    $jsonTempData['op_condicion'] = utf8_encode($r1['op_condicion']);
    $jsonTempData['op_subtotalneto'] = utf8_encode($r1['op_subtotalneto']);
    $jsonTempData['op_costo'] = utf8_encode($r1['op_costo']);
    $jsonTempData['op_contado'] = utf8_encode($r1['op_contado']);
    $jsonTempData['op_credito'] = utf8_encode($r1['op_credito']);
    $jsonTempData['op_efectivo'] = utf8_encode($r1['op_efectivo']);
    $jsonTempData['op_cheque'] = utf8_encode($r1['op_cheque']);
    $jsonTempData['op_ncheque'] = utf8_encode($r1['op_ncheque']);
    $jsonTempData['id_banco'] = utf8_encode($r1['id_banco']);
    $jsonTempData['op_tdebito'] = utf8_encode($r1['op_tdebito']);
    $jsonTempData['op_tcredito'] = utf8_encode($r1['op_tcredito']);
    $jsonTempData['op_ntdebito'] = utf8_encode($r1['op_ntdebito']);
    $jsonTempData['op_ntcredito'] = utf8_encode($r1['op_ntcredito']);
    $jsonTempData['op_pagado'] = utf8_encode($r1['op_pagado']);
    $jsonTempData['op_vuelto'] = utf8_encode($r1['op_vuelto']);
    $jsonTempData['op_diferencia'] = utf8_encode($r1['op_diferencia']);
    $jsonTempData['op_utilidad'] = utf8_encode($r1['op_utilidad']);
    $jsonTempData['op_utilidadporc'] = utf8_encode($r1['op_utilidadporc']);

    if ($r1['hora'] == '') {$jsonTempData['hora'] = '00:00:01';} else {
        $jsonTempData['hora'] = utf8_encode($r1['hora']);}

    $jsonTempData['emp_imp1'] = utf8_encode($r1['emp_imp1']);
    $jsonTempData['emp_imp2'] = utf8_encode($r1['emp_imp2']);
    $jsonTempData['emp_imp3'] = utf8_encode($r1['emp_imp3']);
    $jsonTempData['no_control'] = utf8_encode($r1['no_control']);
    $jsonTempData['emp_imp0base'] = utf8_encode($r1['emp_imp0base']);
    $jsonTempData['emp_imp1base'] = utf8_encode($r1['emp_imp1base']);
    $jsonTempData['emp_imp2base'] = utf8_encode($r1['emp_imp2base']);
    $jsonTempData['emp_imp3base'] = utf8_encode($r1['emp_imp3base']);
    $jsonTempData['suc_id'] = utf8_encode($r1['suc_id']);

    //$jsonTempData['op_fechas']         = utf8_encode($r1['op_fechas']);

    if ($r1['op_fechas'] == '') {$jsonTempData['op_fechas'] = '1900:00:01';} else {
        $jsonTempData['op_fechas'] = utf8_encode($r1['op_fechas']);}

    $jsonTempData['op_tcertificado'] = utf8_encode($r1['op_tcertificado']);
    $jsonTempData['id_status'] = utf8_encode($r1['id_status']);
    $jsonTempData['c_idfiscal2'] = utf8_encode($r1['c_idfiscal2']);
    $jsonTempData['op_num_ncf'] = utf8_encode($r1['op_num_ncf']);
    $jsonTempData['op_num_rel'] = utf8_encode($r1['op_num_rel']);
    $jsonTempData['op_nombre'] = utf8_encode($r1['op_nombre']);
    $jsonTempData['emp_imp4'] = utf8_encode($r1['emp_imp4']);
    $jsonTempData['emp_imp4base'] = utf8_encode($r1['emp_imp4base']);
    $jsonTempData['op_direc'] = utf8_encode($r1['op_direc']);
    $jsonTempData['op_telf'] = utf8_encode($r1['op_telf']);
    $jsonTempData['op_num_fact'] = utf8_encode($r1['op_num_fact']);
    $jsonTempData['sale_id'] = utf8_encode($r1['sale_id']);
    $jsonTempData['t_id'] = utf8_encode($r1['t_id']);
    $jsonTempData['mon_op'] = utf8_encode($r1['mon_op']);
    $jsonTempData['mon_taza_op'] = utf8_encode($r1['mon_taza_op']);
    $jsonTempData['mon_id1'] = utf8_encode($r1['mon_id1']);
    $jsonTempData['mon_taza_v1'] = utf8_encode($r1['mon_taza_v1']);
    $jsonTempData['mon_taza_c1'] = utf8_encode($r1['mon_taza_c1']);
    $jsonTempData['mon_id2'] = utf8_encode($r1['mon_id2']);
    $jsonTempData['mon_taza_v2'] = utf8_encode($r1['mon_taza_v2']);
    $jsonTempData['mon_taza_c2'] = utf8_encode($r1['mon_taza_c2']);
    $jsonTempData['mon_id3'] = utf8_encode($r1['mon_id3']);
    $jsonTempData['mon_taza_v3'] = utf8_encode($r1['mon_taza_v3']);
    $jsonTempData['mon_taza_c3'] = utf8_encode($r1['mon_taza_c3']);
    $jsonTempData['op_forma_6'] = utf8_encode($r1['op_forma_6']);
    $jsonTempData['op_forma_7'] = utf8_encode($r1['op_forma_7']);
    $jsonTempData['op_forma_8'] = utf8_encode($r1['op_forma_8']);

    //$jsonTempData['op_fecha_x']         = utf8_encode($r1['op_fecha_x']);

    if ($r1['op_fecha_x'] == '') {$jsonTempData['op_fecha_x'] = '1900:00:01';} else {
        $jsonTempData['op_fecha_x'] = utf8_encode($r1['op_fecha_x']);}

    $jsonTempData['op_tipodesc'] = utf8_encode($r1['op_tipodesc']);
    $jsonTempData['conc_id'] = utf8_encode($r1['conc_id']);
    $jsonTempData['op_id_espe'] = utf8_encode($r1['op_id_espe']);
    $jsonTempData['op_numserie_if'] = utf8_encode($r1['op_numserie_if']);
    $jsonTempData['op_num_nco'] = utf8_encode($r1['op_num_nco']);
    $jsonTempData['mont_letra'] = utf8_encode($r1['mont_letra']);
    $jsonTempData['op_usuario'] = utf8_encode($r1['op_usuario']);
    $jsonTempData['op_num_aptdo'] = utf8_encode($r1['op_num_aptdo']);
    $jsonTempData['op_saldo_ant_aptdo'] = utf8_encode($r1['op_saldo_ant_aptdo']);
    $jsonTempData['op_pago_aptdo'] = utf8_encode($r1['op_pago_aptdo']);
    $jsonTempData['op_saldo_act_aptdo'] = utf8_encode($r1['op_saldo_act_aptdo']);
    $jsonTempData['op_ship_to'] = utf8_encode($r1['op_ship_to']);
    $jsonTempData['op_dir_entrega'] = utf8_encode($r1['op_dir_entrega']);
    $jsonTempData['Saldo_Ant'] = utf8_encode($r1['Saldo_Ant']);
    $jsonTempData['Monto_Pago'] = utf8_encode($r1['Monto_Pago']);
    $jsonTempData['Saldo_Act'] = utf8_encode($r1['Saldo_Act']);
    $jsonTempData['op_totitems'] = utf8_encode($r1['op_totitems']);
    $jsonTempData['op_pedido'] = utf8_encode($r1['op_pedido']);
    $jsonTempData['op_pedido2'] = utf8_encode($r1['op_pedido2']);
    $jsonTempData['op_aptdo_status'] = utf8_encode($r1['op_aptdo_status']);

    //$jsonTempData['op_aptdo_cancel']         = utf8_encode($r1['op_aptdo_cancel']);

    if ($r1['op_aptdo_cancel'] == '') {$jsonTempData['op_aptdo_cancel'] = '1900:00:01';} else {
        $jsonTempData['op_aptdo_cancel'] = utf8_encode($r1['op_aptdo_cancel']);}

// $jsonTempData['op_aptdo_devol']         = utf8_encode($r1['op_aptdo_devol']);

    if ($r1['op_aptdo_devol'] == '') {$jsonTempData['op_aptdo_devol'] = '1900:00:01';} else {
        $jsonTempData['op_aptdo_devol'] = utf8_encode($r1['op_aptdo_devol']);}

    //$jsonTempData['op_aptdo_factu']         = utf8_encode($r1['op_aptdo_factu']);

    if ($r1['op_aptdo_factu'] == '') {$jsonTempData['op_aptdo_factu'] = '1900:00:01';} else {
        $jsonTempData['op_aptdo_factu'] = utf8_encode($r1['op_aptdo_factu']);}

    //$jsonTempData['op_aptdo_pagad']         = utf8_encode($r1['op_aptdo_pagad']);

    if ($r1['op_aptdo_pagad'] == '') {$jsonTempData['op_aptdo_pagad'] = '1900:00:01';} else {
        $jsonTempData['op_aptdo_pagad'] = utf8_encode($r1['op_aptdo_pagad']);}

    $jsonTempData['op_num_fis_ec'] = utf8_encode($r1['op_num_fis_ec']);
    $jsonTempData['po_id'] = utf8_encode($r1['po_id']);
    $jsonTempData['po_op_id'] = utf8_encode($r1['po_op_id']);
    $jsonTempData['po_costo'] = utf8_encode($r1['po_costo']);
    $jsonTempData['po_precio'] = utf8_encode($r1['po_precio']);
    $jsonTempData['po_itbms'] = utf8_encode($r1['po_itbms']);
    $jsonTempData['po_id_prod'] = utf8_encode($r1['po_id_prod']);
    $jsonTempData['po_cant'] = utf8_encode($r1['po_cant']);
    $jsonTempData['po_v_id'] = utf8_encode($r1['po_v_id']);
    $jsonTempData['po_dep_id'] = utf8_encode($r1['po_dep_id']);
    $jsonTempData['po_pr_tipo'] = utf8_encode($r1['po_pr_tipo']);
    $jsonTempData['po_visible_grid'] = utf8_encode($r1['po_visible_grid']);
    $jsonTempData['po_precioneto'] = utf8_encode($r1['po_precioneto']);
    $jsonTempData['po_desc1'] = utf8_encode($r1['po_desc1']);
    $jsonTempData['po_desc2'] = utf8_encode($r1['po_desc2']);
    $jsonTempData['po_utilidad'] = utf8_encode($r1['po_utilidad']);
    $jsonTempData['po_utilidad_porc'] = utf8_encode($r1['po_utilidad_porc']);
    $jsonTempData['po_signo'] = utf8_encode($r1['po_signo']);
    $jsonTempData['po_montoimp'] = utf8_encode($r1['po_montoimp']);
    $jsonTempData['po_dep_id_tras'] = utf8_encode($r1['po_dep_id_tras']);
    $jsonTempData['po_preciotmp'] = utf8_encode($r1['po_preciotmp']);
    $jsonTempData['mesa'] = utf8_encode($r1['mesa']);
    $jsonTempData['silla'] = utf8_encode($r1['silla']);
    $jsonTempData['ubicacion'] = utf8_encode($r1['ubicacion']);
    $jsonTempData['po_comisionv'] = utf8_encode($r1['po_comisionv']);
    $jsonTempData['po_comisionv_porc'] = utf8_encode($r1['po_comisionv_porc']);
    $jsonTempData['po_comisionc'] = utf8_encode($r1['po_comisionc']);
    $jsonTempData['po_comisionc_por'] = utf8_encode($r1['po_comisionc_por']);
    $jsonTempData['mod_id_auto'] = utf8_encode($r1['mod_id_auto']);
    $jsonTempData['po_father'] = utf8_encode($r1['po_father']);
    $jsonTempData['ubic_enviada'] = utf8_encode($r1['ubic_enviada']);
    $jsonTempData['ubic_enviada2'] = utf8_encode($r1['ubic_enviada2']);
    $jsonTempData['ubic_enviada3'] = utf8_encode($r1['ubic_enviada3']);
    $jsonTempData['ubic_enviada4'] = utf8_encode($r1['ubic_enviada4']);
    $jsonTempData['comanda'] = utf8_encode($r1['comanda']);
    $jsonTempData['po_comision_tipo'] = utf8_encode($r1['po_comision_tipo']);
    $jsonTempData['ubic_id'] = utf8_encode($r1['ubic_id']);
    $jsonTempData['ubic_id2'] = utf8_encode($r1['ubic_id2']);
    $jsonTempData['ubic_id3'] = utf8_encode($r1['ubic_id3']);
    $jsonTempData['ubic_id4'] = utf8_encode($r1['ubic_id4']);
    $jsonTempData['po_pr_detalle'] = utf8_encode($r1['po_pr_detalle']);
    $jsonTempData['po_comp_id'] = utf8_encode($r1['po_comp_id']);
    $jsonTempData['po_cant_pend'] = utf8_encode($r1['po_cant_pend']);
    $jsonTempData['po_imp_adic'] = utf8_encode($r1['po_imp_adic']);
    $jsonTempData['po_montoimp_adic'] = utf8_encode($r1['po_montoimp_adic']);
    $jsonTempData['tpo_desc1'] = utf8_encode($r1['tpo_desc1']);
    $jsonTempData['tpo_desc2'] = utf8_encode($r1['tpo_desc2']);
    $jsonTempData['po_relac_unic'] = utf8_encode($r1['po_relac_unic']);
    $jsonTempData['po_descripcion'] = utf8_encode($r1['po_descripcion']);
    $jsonTempData['po_posicion'] = utf8_encode($r1['po_posicion']);
    $jsonTempData['trig_unic'] = utf8_encode($r1['trig_unic']);
    $jsonTempData['e_id'] = utf8_encode($r1['e_id']);
    $jsonTempData['po_flag_despa'] = utf8_encode($r1['po_flag_despa']);
    //$jsonTempData['po_fech_despa1']         = utf8_encode($r1['po_fech_despa1']);

    if ($r1['po_fech_despa1'] == '') {$jsonTempData['po_fech_despa1'] = '1900:00:01';} else {
        $jsonTempData['po_fech_despa1'] = utf8_encode($r1['po_fech_despa1']);}

    //$jsonTempData['po_fech_despa2']         = utf8_encode($r1['po_fech_despa2']);

    if ($r1['po_fech_despa2'] == '') {$jsonTempData['po_fech_despa2'] = '1900:00:01';} else {
        $jsonTempData['po_fech_despa2'] = utf8_encode($r1['po_fech_despa2']);}

    $jsonTempData['SyncProcesing'] = utf8_encode($r1['SyncProcesing']);
    $jsonTempData['UserModify'] = utf8_encode($r1['UserModify']);
    $jsonTempData['UserOption'] = utf8_encode($r1['UserOption']);
    $jsonTempData['id_pack'] = utf8_encode($r1['id_pack']);
    $jsonTempData['op_desctm'] = utf8_encode($r1['op_desctm']);
    $jsonTempData['op_desctp'] = utf8_encode($r1['op_desctp']);

    $jsonData[] = $jsonTempData;

    $i = $i + 1;
}

$json->registros = $i;

$json->operaciones = $jsonData;

$hoynow = getdate();

$timeStamp = $hoynow["year"] . "-" . $hoynow["mon"] . "-" . $hoynow["mday"] . " " . $hoynow["hours"] . ":" . $hoynow["minutes"] . ":" . $hoynow["seconds"];

$timeStamp2 = $hoynow["year"] . "-" . $hoynow["mon"] . "-01 00:00:01";
//echo $timeStamp;

$SQLflags = "select idflagop from " . $_SESSION['database'] . ".flag  limit 1";

//    logs($SQLflags);
$qur = $connection->query($SQLflags);

$_SESSION['flags'] = "9";
while ($r = mysqli_fetch_assoc($qur)) {

    $_SESSION['flags'] = $r['idflagop'];

//logs("Esta es la banderaaaaaaaaaaaaaaaaaaaaaaa ".$_SESSION['flags']);
    //echo "enro en el while";
}

if ($_SESSION['flags'] == "0") {

    $SQLupdate44 = "UPDATE " . $_SESSION['database'] . ".flag SET idflagop=1 ";

    if ($connection->query($SQLupdate44) === true) {

        logs("Cambio la Bandera a 1 para operacion baja " . $_SESSION['est_id']);

//echo "paso por aqui ";

    } else {
        echo "Error: " . $SQLupdate4 . "<br>" . $conn->error;
    }
    ;

    $montoesql3 = "select 	" . $_SESSION['database'] . ".producto_op.po_op_id from  " . $_SESSION['database'] . ".producto_op left outer join  " . $_SESSION['database'] . ".operacion on producto_op.po_op_id=operacion.op_id left outer join  " . $_SESSION['database'] . ".depositos on producto_op.po_dep_id=depositos.dep_id WHERE   (operacion.op_tipo=36 or operacion.op_tipo=37 or operacion.op_tipo=1 or operacion.op_tipo=30  or operacion.op_tipo=31 or operacion.op_tipo=8)
           and depositos.suc_id=" . $_SESSION['suc_id'] . " and producto_op.usermodify=1 ";

//echo  $montoesql;
    logs($montoesql3);

    $qur = $connection->query($montoesql3);

    $_SESSION['po_op_id'] = "NO";

    while ($r = mysqli_fetch_assoc($qur)) {

        $_SESSION['po_op_id'] = $r['po_op_id'];

        logs("nume entro " . $r['po_op_id']);

    }
    //   echo "nume ".$_SESSION['po_op_id'] ;

    logs("numeroooooooooooooooooo " . $_SESSION['po_op_id']);

    if ($_SESSION['po_op_id'] != "NO") {

        $SQLupdate = "UPDATE  " . $_SESSION['database'] . ".producto_op, (select producto_op.po_op_id, depositos.suc_Id from   " . $_SESSION['database'] . ".producto_op  left outer join  " . $_SESSION['database'] . ".operacion on producto_op.po_op_id=operacion.op_id
                      left outer join  " . $_SESSION['database'] . ".depositos on producto_op.po_dep_id=depositos.dep_id WHERE   (operacion.op_tipo=36 or operacion.op_tipo=37 or operacion.op_tipo=1 or operacion.op_tipo=30 or operacion.op_tipo=31 or operacion.op_tipo=8)  and depositos.suc_id=" . $_SESSION['suc_id'] . " and
                      producto_op.usermodify=1) a set producto_op.usermodify=0, producto_op.syncprocesing=1,producto_op.trig_unic=po_relac_unic  where a.po_op_id= producto_op.po_op_id";

//echo $SQLupdate;

        logs("uuuuuuuuuuuuuuuuuuuuuuuuuuu" . $SQLupdate);

        if ($connection->query($SQLupdate) === true) {
            //  echo "update op1";
        } else {
            echo "Error: " . $SQLupdate . "<br>" . $conn->error;
        }

        $SQLupdate2o = "UPDATE   " . $_SESSION['database'] . ".operacion, (select producto_op.po_op_id, depositos.suc_Id from

					" . $_SESSION['database'] . ".producto_op left outer join 	" . $_SESSION['database'] . ".operacion on producto_op.po_op_id=operacion.op_id left outer join

					" . $_SESSION['database'] . ".depositos on producto_op.po_dep_id=depositos.dep_id

                       WHERE   (operacion.op_tipo=36 or operacion.op_tipo=37 or operacion.op_tipo=1 or operacion.op_tipo=30 or operacion.op_tipo=31 or operacion.op_tipo=8)  and depositos.suc_id=" . $_SESSION['suc_id'] . "   and producto_op.syncprocesing=1 ) a set operacion.syncprocesing= 1     where a.po_op_id= operacion.op_id";

//echo $SQLupdate;

        logs("uuuuuuuuuuuuuuuuuuuuuuuuuuu" . $SQLupdate2o);

        if ($connection->query($SQLupdate2o) === true) {
            //  echo "update op2";
        } else {
            echo "Error: " . $SQLupdate2o . "<br>" . $conn->error;
        }
        ;

        if ($_SESSION['est_id'] == "0") {

            $getData = "select suc_corre_eop+1 as corre_e,suc_id FROM " . $_SESSION['database'] . ".sucursales  where   suc_id=" . $_SESSION['suc_id'];

        } else {

            $getData = "select e_corre_eop+1 as corre_e,e_id FROM " . $_SESSION['database'] . ".estaciones  where   e_id=1";
        }
        ;

//logs("ccccccccccccccccccccccccccccccc".$getData);

//echo  $getData;

//$getData = "select * from user";
        $qur = $connection->query($getData);

        $_SESSION['corre'] = 0;

        while ($r = mysqli_fetch_assoc($qur)) {

            $_SESSION['corre'] = $r['corre_e'];
        }

//echo "entro a la pelea: nro". $_SESSION['corre'];

        if ($_SESSION['corre'] > 0) {

//echo "entro a la pelea";

            $SQLupdate2 = "  insert into  " . $_SESSION['database'] . "_tmp_pack.operacion_pack select   " . $_SESSION['corre'] . "  as id,
			 	   operacion.op_id,
					operacion.op_fecha,
					operacion.op_fechav,
					operacion.op_id_cliente ,
					operacion.op_tipo,
					operacion.op_num_corre,
					operacion.op_subtotal ,
					operacion.op_itbms ,
					operacion.op_total ,
					operacion.u_id ,
					operacion.op_estacion,
					operacion.op_manejo ,
					operacion.op_flete ,
					operacion.op_seguro ,
					operacion.op_controldoc ,
					operacion.op_observ,
					operacion.op_desc ,
					operacion.op_condicion ,
					operacion.op_subtotalneto ,
					operacion.op_costo ,
					operacion.op_contado ,
					operacion.op_credito ,
					operacion.op_efectivo ,
					operacion.op_cheque ,
					operacion.op_ncheque ,
					operacion.id_banco,
					operacion.op_tdebito ,
					operacion.op_tcredito ,
					operacion.op_ntdebito ,
					operacion.op_ntcredito ,
					operacion.op_pagado ,
					operacion.op_vuelto ,
					operacion.op_diferencia,
					operacion.op_utilidad ,
					operacion.op_utilidadporc ,
					operacion.hora ,
					operacion.emp_imp1 ,
					operacion.emp_imp2 ,
					operacion.emp_imp3 ,
					operacion.no_control ,
					operacion.emp_imp0base ,
					operacion.emp_imp1base ,
					operacion.emp_imp2base ,
					operacion.emp_imp3base ,
					" . $_SESSION['suc_id'] . "  as suc_id,
					operacion.op_fechas,
					operacion.op_tcertificado ,
					operacion.id_status ,
					operacion.c_idfiscal2 ,
					operacion.op_num_ncf ,
					operacion.op_num_rel ,
					operacion.op_nombre ,
					operacion.emp_imp4 ,
					operacion.emp_imp4base ,
					operacion.op_direc ,
					operacion.op_telf ,
					operacion.op_num_fact,
					operacion.sale_id,
					operacion.t_id,
					operacion.mon_op ,
					operacion.mon_taza_op ,
					operacion.mon_id1 ,
					operacion.mon_taza_v1 ,
					operacion.mon_taza_c1 ,
					operacion.mon_id2 ,
					operacion.mon_taza_v2 ,
					operacion.mon_taza_c2 ,
					operacion.mon_id3 ,
					operacion.mon_taza_v3 ,
					operacion.mon_taza_c3 ,
					operacion.op_forma_6 ,
					operacion.op_forma_7 ,
					operacion.op_forma_8 ,
					operacion.op_fecha_x,
					operacion.op_tipodesc ,
					operacion.conc_id,
					operacion.op_id_espe ,
					operacion.op_numserie_if ,
					operacion.op_num_nco ,
					operacion.mont_letra ,
					operacion.op_usuario ,
					operacion.op_num_aptdo ,
					operacion.op_saldo_ant_aptdo ,
					operacion.op_pago_aptdo ,
					operacion.op_saldo_act_aptdo ,
					operacion.op_ship_to,
					operacion.op_dir_entrega ,
					operacion.Saldo_Ant ,
					operacion.Monto_Pago ,
					operacion.Saldo_Act ,
					operacion.op_totitems,
					operacion.op_pedido ,
					operacion.op_pedido2 ,
					operacion.op_aptdo_status ,
					operacion.op_aptdo_cancel,
					operacion.op_aptdo_devol,
					operacion.op_aptdo_factu,
					operacion.op_aptdo_pagad,
					operacion.op_num_fis_ec ,
					producto_op.po_id ,
					producto_op.po_op_id,
					producto_op.po_costo,
					producto_op.po_precio,
					producto_op.po_itbms,
					producto_op.po_id_prod,
					producto_op.po_cant ,
					producto_op.po_v_id,
					producto_op.po_dep_id ,
					producto_op.po_pr_tipo ,
					producto_op.po_visible_grid ,
					producto_op.po_precioneto,
					producto_op.po_desc1,
					producto_op.po_desc2,
					producto_op.po_utilidad,
					producto_op.po_utilidad_porc,
					producto_op.po_signo ,
					producto_op.po_montoimp ,
					producto_op.po_dep_id_tras ,
					producto_op.po_preciotmp ,
					producto_op.mesa,
					producto_op.silla,
					producto_op.ubicacion,
					producto_op.po_comisionv ,
					producto_op.po_comisionv_porc ,
					producto_op.po_comisionc ,
					producto_op.po_comisionc_por ,
					producto_op.mod_id_auto,
					producto_op.po_father,
					producto_op.ubic_enviada ,
					producto_op.ubic_enviada2 ,
					producto_op.ubic_enviada3 ,
					producto_op.ubic_enviada4 ,
					producto_op.comanda ,
					producto_op.po_comision_tipo ,
					producto_op.ubic_id ,
					producto_op.ubic_id2 ,
					producto_op.ubic_id3 ,
					producto_op.ubic_id4 ,
					producto_op.po_pr_detalle ,
					producto_op.po_comp_id,
					producto_op.po_cant_pend ,
					producto_op.po_imp_adic,
					producto_op.po_montoimp_adic ,
					producto_op.tpo_desc1,
					producto_op.tpo_desc2,
					producto_op.po_relac_unic ,
					producto_op.po_descripcion ,
					producto_op.po_posicion ,
					producto_op.trig_unic ,
					producto_op.e_id ,
					producto_op.po_flag_despa,
					producto_op.po_fech_despa1 ,
					producto_op.po_fech_despa2 ,
					producto_op.SyncProcesing ,
					producto_op.UserModify ,
					producto_op.UserOption ,
					operacion.op_desctm ,
					operacion.op_desctp from " . $_SESSION['database'] . ".producto_op left outer join " . $_SESSION['database'] . ".operacion on " . $_SESSION['database'] . ".operacion.op_id= producto_op.po_op_id
					 	left outer join " . $_SESSION['database'] . ".depositos on producto_op.po_dep_id=depositos.dep_id
					 where (operacion.op_tipo=36 or operacion.op_tipo=37 or operacion.op_tipo=1 or operacion.op_tipo=30 or operacion.op_tipo=31 or operacion.op_tipo=8) and depositos.suc_id=" . $_SESSION['suc_id'] . " and producto_op.syncprocesing=1 ";

            logs($SQLupdate2);

            if ($connection->query($SQLupdate2) === true) {

                //echo "entro por aqui";

                $SQLupdate3 = "select id_pack from " . $_SESSION['database'] . "_tmp_pack.operacion_pack left outer join " . $_SESSION['database'] . ".depositos on " . $_SESSION['database'] . "_tmp_pack.operacion_pack.po_dep_id=depositos.dep_id

		                               where depositos.suc_id=" . $_SESSION['suc_id'] . " and id_pack=" . $_SESSION['corre'] . " limit 1";

                logs('xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx' . $SQLupdate3);
                $qur = $connection->query($SQLupdate3);

                $empaco = "NO";
                while ($r = mysqli_fetch_assoc($qur)) {

                    $empaco = $r['id_pack'];

                    logs("si consiguio un registro  " . $empaco);

//echo "si consiguio un registro  ".$empaco;

                }

                if ($_SESSION['corre'] == $empaco) {

                    logs("   empaco" . $empaco . " corre  " . $_SESSION['corre']);

                    $SQLupdate4 = "UPDATE " . $_SESSION['database'] . ".operacion, (select producto_op.po_op_id, depositos.suc_Id from

					" . $_SESSION['database'] . ".producto_op left outer join " . $_SESSION['database'] . ".operacion on producto_op.po_op_id=operacion.op_id left outer join

					" . $_SESSION['database'] . ".depositos on

					  producto_op.po_dep_id=depositos.dep_id  WHERE   (operacion.op_tipo=36 or operacion.op_tipo=37 or operacion.op_tipo=1 or operacion.op_tipo=30 or operacion.op_tipo=31 or operacion.op_tipo=8) and depositos.suc_id=" . $_SESSION['suc_id'] . " and producto_op.syncprocesing=1 ) a set operacion.syncprocesing= 0

                      where a.po_op_id= operacion.op_id;";

                    if ($connection->query($SQLupdate4) === true) {

                        $SQLupdate4bc = "UPDATE " . $_SESSION['database'] . ".producto_op, (select producto_op.po_op_id, depositos.suc_Id from

						" . $_SESSION['database'] . ".producto_op left outer join " . $_SESSION['database'] . ".operacion on producto_op.po_op_id=operacion.op_id left outer join

						" . $_SESSION['database'] . ".depositos on

						  producto_op.po_dep_id=depositos.dep_id  WHERE   (operacion.op_tipo=36 or operacion.op_tipo=37 or operacion.op_tipo=1 or operacion.op_tipo=30 or operacion.op_tipo=31 or operacion.op_tipo=8) and depositos.suc_id=" . $_SESSION['suc_id'] . "  and producto_op.syncprocesing=1 ) a set producto_op.syncprocesing= 0

	                      where a.po_op_id= producto_op.po_op_id;";

                        if ($connection->query($SQLupdate4bc) === true) {}
                        ;

                        if ($_SESSION['est_id'] == "0") {
                            $connection->query("update " . $_SESSION['database'] . ".sucursales set suc_corre_eop=suc_corre_eop+1  ");
                        } else {

                            $connection->query("update " . $_SESSION['database'] . ".estaciones set e_corre_eop=" . $empaco . "");

                            logs("xxxxxxxxxxxxxxxxxxxxxxxxxxxxx update " . $_SESSION['database'] . ".estaciones set e_corre_eop=" . $empaco . "");

                        }

                    } else {
                        echo "Error: " . $SQLupdate4 . "<br>" . $conn->error;
                    }

                } else {
                    echo "Error de empaque: " . $_SESSION['corre'] . " " . $empaco . "<br>";
                }

            } else {echo "Error: " . $SQLupdate2 . "<br>" . $conn->error;
            }

        } else {

            echo "error en busca de corre";

        }

    }

    $SQLupdate44 = "UPDATE " . $_SESSION['database'] . ".flag SET idflagop=0 ";

    if ($connection->query($SQLupdate44) === true) {

        logs("Cambio la Bandera a 0 " . $_SESSION['est_id']);

    } else {
        echo "Error: " . $SQLupdate4 . "<br>" . $conn->error;

    }

} else {

    logs("Esta ocupado por la estacionnnnnnnn " . $_SESSION['est_id'] . " Bandera " . $_SESSION['flags']);

}

header('content-type: application/json');
print_r(json_encode($json));
// echo json_encode($json);
//header('content-type: application/text_plain');
//header('content-type: application/json');

//empacando($_SESSION['database']);

@mysqli_close($connection);
?>